## org.jfree.chart
Class ChartMouseEvent

    java.lang.Object
      org.jfree.chart.ChartMouseEvent

public class ChartMouseEvent
extends java.lang.Object

A mouse event for a chart that is displayed in a ChartPanel.

Constructor Summary
`ChartMouseEvent(JFreeChart chart, java.awt.event.MouseEvent trigger, ChartEntity entity)` Constructs a new event.

Method Summary
`JFreeChart` `getChart()` Returns the chart that the mouse event relates to.
`ChartEntity` `getEntity()` Returns the chart entity (if any) under the mouse point.
`java.awt.event.MouseEvent` `getTrigger()` Returns the mouse event that triggered this event.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChartMouseEvent

    public ChartMouseEvent(JFreeChart chart,
                           java.awt.event.MouseEvent trigger,
                           ChartEntity entity)

  Constructs a new event.

Parameters:
  `chart` - the source chart.
  `trigger` - the mouse event that triggered this event.
  `entity` - the chart entity (if any) under the mouse point.

Method Detail

### getChart

    public JFreeChart getChart()

  Returns the chart that the mouse event relates to.

  Returns:
    the chart.

### getTrigger

    public java.awt.event.MouseEvent getTrigger()

  Returns the mouse event that triggered this event.

  Returns:
    the event.

### getEntity

    public ChartEntity getEntity()

  Returns the chart entity (if any) under the mouse point.

  Returns:
    the chart entity.